import 'dart:convert';

import 'package:crypto/crypto.dart';
import 'package:platform_device_id/platform_device_id.dart';

class FingerprintUtil {
  static Future<String> buildFingerprint() async {
    var deviceId = await PlatformDeviceId.getDeviceId;

    var bytes = utf8.encode(deviceId!);

    var hash = sha256.convert(bytes).toString();

    return hash;
  }
}
